# MEL-T
Adds MEL-T, a survivor based around managing the heat buff.

[![](https://cdn.discordapp.com/attachments/923641705222262784/932507272133869608/unknown.png)]()

## Galery
[![](https://cdn.discordapp.com/attachments/923641705222262784/932517199954984960/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/923641705222262784/932515932943835186/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/923641705222262784/932515078471819295/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/923641705222262784/932512218468192277/unknown.png)]()

## Change Log
**1.2.0**
* Redid most particle effects
* Updated model, skins and redone animations
* Readded item displays
* Includes displays for Aetherium, Groovy Equipment, Siv's Items, and Melting Pot
* Added new crosshair, featuring a heat indicator bar
* Updated Grandmastery skin to be compatible with mods other than StarStorm 2
* Other minor changes and tweaks

**1.1.3**
* Added DIRECTIVE: CAREEN
* Re-added skins

**1.1.2**
* Fixed self damage on Overdrive

**1.1.1**
* Fixed character locking up when frozen

**1.1.0**
* Migrated to TunderKit!
* Updated core features for Content Update March
* Currently lacking: unlock and logbook, umbral form and custom ai, skins, point down

**1.0.2**
* Fixed Aetherium incompatability
* Added force unlock option to the config

**1.0.1**
* Fixed Berzerker's Pauldron softlocking as MEL-T
* Added config option to remove shielding textures
* Scepter now gives higher heat

**1.0.0**
* Added Character unlock
* New skins, including Grand Mastery skin for StarStorm2
* Item Displays for: Aetherium, Siv's Items, Standalone Scepter, Supply Drop, and CRClassModule!
* Scepter Support!
* Attack speed per heat stack 1% => 1.5%
* Attack speed per frost stack -2.5% => -8%
* Base regen 0  => 0.3
* Health/shield reduced, but brought to match vanilla level up ratios 120 + 20 per level => 85 + 25.5 per level
* New shielding textures
* Vanilla shield overlay disabled
* Fixed achievement prerequisites
* Updated mod icon and character portrait

**0.1.6**
* Melt fire frequency 5/s => 4.5/s
* Vent jump: gives more vertical momentum, but less horizontal
* Overheat movespeed 55% => 45%
* Overheat armor 100% => 50%
* Heat movespeed buff 2%/stack => 1.5%/stack
* Base movespeed 6.5 => 7

**0.1.5**
* Item Displays!
* Fixed mod not loading ResourceAPI on it's own. Causing mod failure if another mod had not enabled it already
* Adjusted Vent jump launch angle

**0.1.4**
* TAUNTS XD
* Reworked Umbra AI so it's somewhat better
* Added retool indicator lights on antena
* Added new tracer for overdrive form of CryoCut, and touched up networking

**0.1.3**
* Fixed Overdrive canisters being invisible
* Increased move speed gained from heat 0.8%/stack => 2%/stack
* Increased attack speed gained from heat 0.8%/stack => 1%/stack
* Reduced move speed lost from overheat: 60% => 45%
* Probably fixed Cryocut's sound not playing client*side

**0.1.2**
* Fixed a bug in prefab creation

**0.1.1**
* Added fancy new trail to Maximum Overdrive
* Fixed bad networking on Vent
* Tweaked the bfg item display

**0.1.0**
* Proc Coefficient of Melt 1.0 => 0.8
* Overdrive added for Melt: Increases Hitbox size
* DIRECTIVE: BLAST reworked into DIRECTIVE: BURN. Instead of dealing knockback, the ability creates a fire zone. while the effect lingers, it deals damage, and ignites enemies inside.
* Overdrive added for Burn: Doubles Damage of DOT effect.
* Overdrive added for Crush: Applies double the frost. Has increased force.
* Overdrive added for Vent: Increased force, can hit same target multiple times.
* Overdrive added for Maximum Overdrive: Increased knockback, can hit same target multiple times. Does not recoil from large targets
* Melt Heat/s 12 => 10
* CryoCut Heat/s 7 => 6
* Heat change on both canisters 20 => 10
* Increased damage radius of Crush, but added linear damage falloff
* Adjusted canister indicator sizes to be more accurate
* Changed CryoCut to have a different sound

**0.0.4**
* Reduced default stats a bit
* Attack speed bonus per heat stack: 1% => 0.8%
* Attack and move speed while overheating 50% => 40%
* Added critical item displays
* CryoCut fire frequency 4 => 3
* CryoCut Proc Coefficient 0.75 => 0.6
* Melt fire frequency 6 => 5
* First Overdrive ability added: CryoCut applies frost while your heat is over 70%. Other abilities are in the works.

**0.0.3**
* Crush now has a particle effect
* Vent now has a particle effect
* Critical item displays added for crowdfunder, crysalis, and preon accumulator
* CryoCut heat/s 10 => 7
* Melt heat/s 10 => 12

**0.0.2**
* Messed around some more with MEL-T's textures.
* Fixed mastery achievment.
* Added new skin: TEST SUBJECT
* Increased Melt hitbox size
* Proc Coefficient of Melt 0.9 => 1.0
* Melt no longer has an attack speed cap, and can now hit multiple times per game tick, at high enough speed
* Melt and CryoCut changed to give static 5 heat/s. This means your heat gain is no longer affected by attack speed
* Vent's suction effect now scales with attack speed

**0.0.1**
* Fixed blast shower not cleansing overheat
* Proc Coefficient of CryoCut: 1.0 => 0.75
* Reduced lifetime of CryoCut particles
* Fixed bad networking on secondaries and retool
* Heat gained/lost from secondaries: 10 => 20
* Messed around some more with MEL-T's textures.

**0.0.0**
* Early thunderstore release

## Special Thanks

Twiner#8757 - ThunderKit

rob#2365 - Character Template
megAJuan#6302 - Crowdfunder positioning
KingEnderBrine#3624 - Item Display Tool

## Known Issues
* DIRECTIVE: MEL-T's sound ends too early
* Galery is miss spelled in the readme
* Unlock event not compatible with KingEnderBrine's ProperSave

## Contact
Ping me in the modding discord, DM me @PlasmaCore#1219, or hop on our discord server: https://discord.gg/me7P53smzk

